I'm afraid it's a documented restriction of the compiled stylesheet facility that the code must be run under exactly the same Saxon version number as the version used to compile the code. (There are quite a few usability restrictions in this product feature, I'm afraid. Ideally I would like to redesign the whole thing, but there are people using it successfully despite the restrictions, so I've retained it in the product.)

Michael Kay
Saxonica

On 21/07/2010 23:19, seth park wrote:
I successfully compiled a stylesheet using Saxon9ee version 9.2.0.6J.

When I try to use it with Saxon9he version 9.2.0.2J using this command:

      java net.sf.saxon.Transform -o:output.pdf -s:input.xml -c:compiled.sxx

I get this error:

      java.io.InvalidClassException: net.sf.saxon.sort.StandardCollationURIResolver;
      local class incompatible: stream classdesc serialVersionUID = 154476477984496977,
      local class serialVersionUID = -1039487082586763537

Can you point me in the right direction?


-seth park
------------------------------------------------------------------------------ This SF.net email is sponsored by Sprint What will you do first with EVO, the first 4G phone? Visit sprint.com/first -- http://p.sf.net/sfu/sprint-com-first
_______________________________________________ saxon-help mailing list archived at http://saxon.markmail.org/ saxon-help@lists.sourceforge.net https://lists.sourceforge.net/lists/listinfo/saxon-help